Web Server for Exchange Online Requirements

Updated

On this page

Verify that the Web Server computer that the Command Center uses to create apps meets the requirements for Exchange Online.

  • If the Web Server computer runs Windows 2012, PowerShell 5.1 must be installed on the computer.

  • The Azure Active Directory module must be installed on PowerShell 5.1 of the Web Server as follows:

    • If you use the express configuration option, the express configuration process automatically installs the module.

    • If you perform a custom configuration, you must complete the following steps to install the module, and you might need to install newer versions of the module periodically:

      1. Open an elevated Windows PowerShell command prompt (that is, run Windows PowerShell as an administrator).

      2. Run the following commands to install the module using the required Transport Layer Security (TLS) 1.2:

        [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12
        Install-Module -Name AzureAD